Package com.trilead.ssh2.signature

## Class RSAPublicKey

- java.lang.Object
- - com.trilead.ssh2.signature.RSAPublicKey

    public class RSAPublicKey
    extends java.lang.Object

RSAPublicKey.

### Constructor Summary

Constructors
`RSAPublicKey​(java.math.BigInteger e, java.math.BigInteger n)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigInteger` `getE()`
`java.math.BigInteger` `getN()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSAPublicKey

    public RSAPublicKey​(java.math.BigInteger e,
                        java.math.BigInteger n)

### Method Detail

#### getE

    public java.math.BigInteger getE()

#### getN

    public java.math.BigInteger getN()